--[[ include used code ]]
--require "stgTools"
require "settings"

--[[ PUBLIC functions ]]
function tf_evolutionisplay_onRemove(playerIndex)
	local stGui = game.players[playerIndex].gui.top.superTopGui
	if stGui and stGui.stg_infoPanel and stGui.stg_infoPanel.evoDisp then
		stGui.stg_infoPanel.evoDisp.destroy()
	end
end

function tf_evolutionisplay_onCreate(playerIndex)
 	if not glob.cfg.enabled or not game.players[playerIndex].gui.top.superTopGui then return end
	--local myFlow = player.gui.top.superTopGui.stg_infoPanel.add({type= "flow", style= "tms_flow_compact", direction= "vertical" })
	local myFlow = game.players[playerIndex].gui.top.superTopGui.stg_infoPanel.add({type= "flow", name= "evoDisp", style= "tms_flow_compact", direction= "vertical" })

	--[[ if not myFlow.tdlSpeed then
		local myElement = myFlow.add( { type= "label", name= "tdlSpeed", style= "tms_label" } )
	end--]]

	if not myFlow.tdlOrient then
		myElement = myFlow.add( { type= "label", name= "tdlOrient", style= "tms_label" } )
	end
end

function tf_evolutionisplay_onUpdate(playerIndex)
	local player = game.players[playerIndex]
 	if not glob.cfg.enabled or not player.gui.top.superTopGui or not player.gui.top.superTopGui.stg_infoPanel.evoDisp then return end
	local myFlow = player.gui.top.superTopGui.stg_infoPanel.evoDisp

	local evolution = math.floor(game.evolutionfactor * 100)
	--$$ evolution caption
	myFlow.tdlOrient.caption = string.format(
			"evolution: %s%s", evolution, '%' )
end

--[ event onguiclick ]
game.onevent(defines.events.onguiclick, 
function(event)
	--$$ Check for button clicks
	local player = game.players[event.playerindex]
	if event.element.name == "evoSettings" then
		tf_evolutionDisplay_settings(player, event.playerindex)
	end
end)

